Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne
Interface LifecycleListener

    public interface LifecycleListener

A callback interface to listen to persistent object lifecycle events. Note that listeners ARE NOT REQUIRED to implement this interface, and in fact most won't. It exists for type safety and for simplifying listener registration. See `LifecycleCallbackRegistry` for details on how to register callbacks.

Since:
  3.0
Author:
  Andrus Adamchik

Field Summary
`static int` | `POST_LOAD`
`static int` | `POST_PERSIST`
`static int` | `POST_REMOVE`
`static int` | `POST_UPDATE`
`static int` | `PRE_PERSIST`
`static int` | `PRE_REMOVE`
`static int` | `PRE_UPDATE`

Method Summary
`void` | `postLoad(Object entity)`
`void` | `postPersist(Object entity)`
`void` | `postRemove(Object entity)`
`void` | `postUpdate(Object entity)`
`void` | `prePersist(Object entity)`
`void` | `preRemove(Object entity)`
`void` | `preUpdate(Object entity)`

Field Detail

### PRE_PERSIST

    static final int PRE_PERSIST

See Also:
  Constant Field Values

### PRE_REMOVE

    static final int PRE_REMOVE

See Also:
  Constant Field Values

### PRE_UPDATE

    static final int PRE_UPDATE

See Also:
  Constant Field Values

### POST_PERSIST

    static final int POST_PERSIST

See Also:
  Constant Field Values

### POST_REMOVE

    static final int POST_REMOVE

See Also:
  Constant Field Values

### POST_UPDATE

    static final int POST_UPDATE

See Also:
  Constant Field Values

### POST_LOAD

    static final int POST_LOAD

See Also:
  Constant Field Values

Method Detail

### prePersist

    void prePersist(Object entity)

### postPersist

    void postPersist(Object entity)

### preRemove

    void preRemove(Object entity)

### postRemove

    void postRemove(Object entity)

### preUpdate

    void preUpdate(Object entity)

### postUpdate

    void postUpdate(Object entity)

### postLoad

    void postLoad(Object entity)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.